Learn how the endpoint to update an order number works.
The updateMerchantOrderId endpoint is used to update an order in the Zonos system with your store’s order id for better reconciliation, communication, and auditing.
This parameter is used to pass your store’s internal order ID to the order in the Zonos system. This is recommended for better reconciliation, communication, and auditing.string
orderId REQUIRED
The Zonos order ID - can be passed with or without your store ID and hyphen (Example: 123-45678 or 45678).Note: After order completion and payment, the customer will be redirected to an Order Completion / Order Thank You page hosted on your domain. The URL will contain a querystring parameter “orderId” that will contain this value.integer / string
secret REQUIRED
API secret GUID provided by Zonos.string
store REQUIRED
Store ID provided by Zonosinteger
HTTPS response
1{
2"success":"Updated Order: 99999 with new merchantOrderId: 12-34567"
3}
Error HTTP responses
Error code↕
Definition↕
406 - Not Acceptable
HTML Entity. HTTP “Accept” header is invalid.
415 - Unsupported media type
HTML Entity. HTTP “Content-Type” header is invalid.
200
“error”:”could not parse input”
200
“error”:”Parameter orderId is required to processUpdateMerchantOrderId”
200
“error”:”Parameter merchantOrderId is required to updateMerchantOrderId.”
200
“error”:”orderId: 999-99999 is not a valid orderId”
200
“error”:”Could not retrieve order to updateMerchantOrderId for orderId: 999-99999”
200
“error”:”Could not process update merchant order id.”
200
“error”:”Invalid security credentials”
Response JSON definitions
Message↕
Definition↕
error
This parameter will only be present in the response when an error has occurred and will contain a description of the cause.string
success
This parameter will contain a summary of the update.string
Update order number
Update order number
Learn how the endpoint to update an order number works.The
updateMerchantOrderIdendpoint is used to update an order in the Zonos system with your store’s order id for better reconciliation, communication, and auditing.Endpoint
POST |
https://api.iglobalstores.com/v1/updateMerchantOrderIdHTTPS request
https://api.iglobalstores.com/v1/updateMerchantOrderIdJSON key/value pairs in the request body
{"store": "999","secret": "f5bde245-f55e-414d-b722-80b25161c12c","orderId": "999-9999","merchantOrderId": "12-34567"}Request JSON definitions
merchantOrderIdREQUIREDstringorderIdREQUIREDinteger / stringsecretREQUIREDstringstoreREQUIREDintegerHTTPS response
{"success": "Updated Order: 99999 with new merchantOrderId: 12-34567"}Error HTTP responses
Response JSON definitions
errorstringsuccessstringWas this page helpful?